## com.sun.j3d.utils.behaviors.picking
Interface PickingCallback

Deprecated. As of Java 3D version 1.2, replaced by `com.sun.j3d.utils.picking.behaviors.PickingCallback`

    public interface PickingCallback

See Also:
  `PickingCallback`

Field Summary
`static int` `NO_PICK` Deprecated. The user made a selection but nothing was actually picked
`static int` `ROTATE` Deprecated.
`static int` `TRANSLATE` Deprecated.
`static int` `ZOOM` Deprecated.

Method Summary
`void` `transformChanged(int type, TransformGroup tg)` Deprecated. Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

Field Detail

### ROTATE

    static final int ROTATE

  Deprecated.
  See Also:
    Constant Field Values

### TRANSLATE

    static final int TRANSLATE

  Deprecated.
  See Also:
    Constant Field Values

### ZOOM

    static final int ZOOM

  Deprecated.
  See Also:
    Constant Field Values

### NO_PICK

    static final int NO_PICK

  Deprecated.
  The user made a selection but nothing was actually picked

  See Also:
    Constant Field Values

Method Detail

### transformChanged

    void transformChanged(int type,
                          TransformGroup tg)

  Deprecated.
  Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.